Bug 517564 - kmodtool script can't handle kernel-debug variant
Summary: kmodtool script can't handle kernel-debug variant
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-rpm-config
Version: 5.4
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Weiping Pan
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1049888
TreeView+ depends on / blocked
 
Reported: 2009-08-14 17:30 UTC by Eduardo Habkost
Modified: 2015-01-04 21:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-17 03:36:23 UTC


Attachments (Terms of Use)

Description Eduardo Habkost 2009-08-14 17:30:32 UTC
When trying to build a kmod package for the kernel-debug variant, kmodtool generates a BuildRequires line that can't be satisfied:

$ rpmbuild -ba SPECS/redhat-example.spec
error: Failed build dependencies:
        kernel-debug-devel-x86_64 = 2.6.18-160.el5 is needed by redhat-example-1.5-0.x86_64
$ rpm -q --provides kernel-debug-devel
kernel-debug-devel = 2.6.18-160.el5
$ rpm -q kernel-debug-devel
kernel-debug-devel-2.6.18-160.el5
$ rpm -qf /usr/lib/rpm/redhat/kmodtool
redhat-rpm-config-8.0.45-29.el5


To reproduce it, change the %kernel_module_package line from the redhat-example pacakage[1] spec to:

%kernel_module_package default debug

The bug can be worked around by setting kmp_nobuildreqs=no when calling kmodtool (but this seems to be possible only if calling kmodtool explicitly instead of using the %kernel_module_package macro).


[1] http://driverupdateprogram.com/downloads/redhat-example-1.5-0.src.rpm

Comment 1 Jon Masters 2009-12-15 07:47:27 UTC
We don't support building driver updates for the "debug" kernel in RHEL5 as that variant didn't exist when RHEL5 was first created. Is this an issue for you? If so, we could consider a fix in RHEL6.

Comment 2 Eduardo Habkost 2009-12-15 19:59:14 UTC
(In reply to comment #1)
> We don't support building driver updates for the "debug" kernel in RHEL5 as
> that variant didn't exist when RHEL5 was first created. Is this an issue for
> you? If so, we could consider a fix in RHEL6.  

It's not a high-priority request, but it would be interesting to fix it on 5.5, to ease testing and debugging.

Comment 3 Jon Masters 2009-12-16 04:59:29 UTC
We are not considering updating this package in 5.5. Therefore, please request an update for 5.6 if you are still interested in having this fixed.

Comment 4 Eduardo Habkost 2009-12-16 11:38:33 UTC
(In reply to comment #3)
> We are not considering updating this package in 5.5. Therefore, please request
> an update for 5.6 if you are still interested in having this fixed.  

Isn't there a place where kmodtool lives while being developed "upstream"? I could just pull a new version for KVM if it had the feature included.

Comment 6 RHEL Product and Program Management 2010-08-09 19:06:39 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 10 Weiping Pan 2013-12-17 03:36:23 UTC
I do not think this bug is deserve a fix for 5.11,
how about closing it with "WONTFIX" ?


Note You need to log in before you can comment on or make changes to this bug.